%if %{_use_internal_dependency_generator}
%define __noautoprov 'libGL\\.so\\.1(.*)'
%endif

%define gl_major 1
%define libgl %mklibname %{name}_gl %{gl_major}

Summary:	Faster OpenGL offloading for Bumblebee
Name:		primus
Version:	0.2
Release:	2
License:	Custom
Group:		System/Kernel and hardware
Url:		https://github.com/amonakov/primus
Source0:	%{name}-%{version}.tar.gz
Source1:	primusrun
Patch0:		primus-git-build-with-ldflags.patch

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xproto)

Requires:	%{libgl} = %{EVRD}
Requires:	bumblebee

%description
Primus is a shared library that provides OpenGL and GLX APIs and 
implements low-overhead local-only client-side OpenGL offloading via GLX 
forking, similar to VirtualGL. It intercepts GLX calls and redirects GL 
rendering to a secondary X display, presumably driven by a faster GPU. 
On swapping buffers, rendered contents are read back using a PBO and 
copied onto the drawable it was supposed to be rendered on in the first 
place.

%files
%doc LICENSE.txt README.md
%attr(0755,root,root) %{_bindir}/primusrun

#----------------------------------------------------------------------------

%package -n	%{libgl}
Summary:	Implementation of the OpenGL API - GLX runtime
Group:		System/Libraries

# Let us pull in libGL and its dependencies from Mesa as well.
# Primus actually uses them.
Requires:	%{_lib}gl1

# Make it easier to install 32-bit libGL from primus on 64-bit systems
# (e.g., for Steam, etc.)
%ifarch %{ix86}
Provides:	%{name}-lib32 = %{EVRD}
%endif

%description -n	%{libgl}
Implementation of the OpenGL API - GLX runtime.

%files -n	%{libgl}
%dir %{_libdir}/primus
%{_libdir}/primus/libGL.so.1

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%make

%install
# install all files into the BuildRoot
install -D lib/libGL.so.1 %{buildroot}%{_libdir}/primus/libGL.so.1
install -D %{SOURCE1} %{buildroot}%{_bindir}/primusrun

%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.2-2
- (704f8c6) MassBuild#1250: Increase release tag


